﻿@import (reference) "../../Vendor/FontAwesome/fontawesome.less";
@import (reference) "../../Vendor/FontAwesome/solid.less";

.link-with-icon(@icon) {
    .link-with-icon-ex(@icon, 5px, middle);
}

.link-with-icon-ex(@icon, @padding, @alignment) {
    &:before {
        .fa-icon;
        .fas;
        content: @icon;
        padding-right: @padding;
        vertical-align: @alignment;
    }
}
